Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class RDWOutputRecordStream

    java.lang.Object
      com.ibm.jzos.RDWOutputRecordStream

    public class RDWOutputRecordStream

extends java.lang.Object

This class is a wrapper that writes RDW delineated records to an OutputStream.

For example usage, see the sample class: `com.ibm.jzos.sample.dfsort.DfSortVariableJavaToDataset`

Constructor Summary
`RDWOutputRecordStream(java.io.OutputStream os)` Construct an instance of RDWOutputRecordStream.

Method Summary
`void` | `close()` Close the underlying OutputStream
`void` | `write(byte[] bytes)` Write the supplied bytes to the underlying OutputStream preceeded by a 4 byte RDW.
`void` | `write(byte[] bytes, int offset, int length)` Write the supplied bytes to the underlying OutputStream preceeded by a 4 byte RDW.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDWOutputRecordStream

    public RDWOutputRecordStream(java.io.OutputStream os)

  Construct an instance of RDWOutputRecordStream. Supplying a BufferedOutputStream will generally result in better performance.

  Parameters:
    `os` - the OutputStream that will receive the RDW delineated records

Method Detail

### close

    public void close()
               throws java.io.IOException

  Close the underlying OutputStream

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] bytes)
               throws java.io.IOException

  Write the supplied bytes to the underlying OutputStream preceeded by a 4 byte RDW.

  Parameters:
    `bytes` -
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] bytes,
                      int offset,
                      int length)
               throws java.io.IOException

  Write the supplied bytes to the underlying OutputStream preceeded by a 4 byte RDW.

  Parameters:
    `bytes` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD